Create an external job.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Custom id for external job. Together with type and organization - it is making unique constraint.

string
required

Identifier for the type of a job. Should be shared between jobs of the same type.

string
required

User friendly name for a type. Should be shared between jobs of the same type (avoid using 'Sync 20 products' and anything else that would make name dynamic).

string
enum
required

Status of a job to be presented in UI.

Allowed:
InitiatorService | InitiatorUser | InitiatorApiClient
required

User, service or api client that started the job.

additionalFields
array of objects

Additional fields, can be used to present informations in the UI, or just store information if used with hidden option.

additionalFields
assets
array of objects

Assets reference to a job - please use contain willContainAssets if your job is meant to have assets at one point.

assets
files
array of objects

Files references to job - please use contain willContainFiles if your job is meant to have files at one point. Connected links should be public.

files
connectedEntities
array of objects

Entities reference connected to a job. Can be updated only on job creation. Should not contain more than 1000 ids.

connectedEntities
errors
array of objects

Errors connected to a job.

errors
contexts
array of strings

Context id of a job.

contexts
double

Numerical (0-100) progress meter for a job.

boolean

Helper property used by UI to know that job will have connected assets at one point.

boolean

Helper property used by UI to know that job will have connected files at one point.

Responses
201

Success

409

Duplicated

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here!